#ifndef __IVFRNDRAREA_H__
#define __IVFRNDRAREA_H__

#include <Ivf/IvfVwr.h>

class SoWinRenderArea ;

class CIvfRenderArea : public CIvfVwr
{
public:
	CIvfRenderArea() ;
	DECLARE_DYNCREATE(CIvfRenderArea) ;
	
	~CIvfRenderArea() ;

	virtual void 			CreateViewer(void *pVwrArgs);

	virtual void			DestroyViewer() ;
	virtual void			SceneGraphChanged() ;

	virtual BOOL			OnUpdateFrameTitle(CString &strTitle) ;
	virtual void			OnPaint() ;
	virtual void			OnInitialUpdate() ;
	virtual void			OnDeactivateView() ;
	virtual void			OnActivateView() ;
	virtual void			OnDestroy() ;
	virtual BOOL			OnCommand(WPARAM wParam, LPARAM lParam);
	virtual BOOL			PreTranslateMessage(MSG *pMsg) ;
	virtual SoWinComponent *GetVwrComponent() ;

	static void 			GetRuntimeClass(CRuntimeClass &classInfo);

protected:
	SoWinRenderArea *m_pViewer;
} ;


#endif
